# Operator

class HPS.Operator : HPS.Sprocket

  Subclassed by HPS.AnnotationOperator, HPS.AxisTriadOperator, HPS.ConstructRectangleOperator, HPS.Exchange.CommonMeasurementOperator, HPS.FlyOperator, HPS.HandlesOperator, HPS.MarkupOperator, HPS.MeasurementOperator, HPS.MouseWheelOperator, HPS.NavigationCubeOperator, HPS.OrbitOperator, HPS.PanOperator, HPS.PanOrbitZoomOperator, HPS.RelativeOrbitOperator, HPS.SelectOperator, HPS.TurntableOperator, HPS.ZoomFitTouchOperator, HPS.ZoomOperator

  Public Types

  enum Priority

    Values:

    Low
    Default
    High

  Public Functions

  void Assign (HPS.Operator in_that)
  void DetachView ()
  override void Dispose ()
  delegate void DtorDelegate (IntPtr cPtr)
  bool Equals (HPS.Operator in_that)
  override bool Equals (Object obj)
  HPS.View GetAttachedView ()
  override int GetHashCode ()
  HPS.ModifierKeys GetModifierTrigger ()
  HPS.MouseButtons GetMouseTrigger ()
  string GetName ()
  bool IsMouseTriggered (HPS.MouseState in_state)
  override HPS.Type ObjectType ()
  bool OnKeyDown (HPS.KeyboardState in_state)
  bool OnKeyUp (HPS.KeyboardState in_state)
  void OnModelAttached ()
  void OnModelDetached ()
  bool OnMouseDown (HPS.MouseState in_state)
  bool OnMouseEnter (HPS.MouseState in_state)
  bool OnMouseLeave (HPS.MouseState in_state)
  bool OnMouseMove (HPS.MouseState in_state)
  bool OnMouseUp (HPS.MouseState in_state)
  bool OnMouseWheel (HPS.MouseState in_state)
  bool OnTextInput (string in_text)
  bool OnTimerTick (HPS.TimerTickEvent in_event)
  bool OnTouchDown (HPS.TouchState in_state)
  bool OnTouchMove (HPS.TouchState in_state)
  bool OnTouchUp (HPS.TouchState in_state)
  void OnViewAttached (HPS.View in_attached_view)
  void OnViewDetached (HPS.View in_detached_view)
  Operator ()
  Operator (HPS.MouseButtons in_mouse_trigger)
  Operator (HPS.MouseButtons in_mouse_trigger, HPS.ModifierKeys in_modifier_trigger)
  Operator (HPS.Operator in_that)
  delegate void RemoveCacheItemDelegate (IntPtr cPtr)
  void SetModifierTrigger (HPS.ModifierKeys in_modifiers)
  void SetMouseTrigger (HPS.MouseButtons in_buttons)

  Public Static Functions

  bool operator!= (HPS.Operator a, HPS.Operator b)
  bool operator== (HPS.Operator a, HPS.Operator b)

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating